=== modified file 'doc/developers/releasing.txt'
--- doc/developers/releasing.txt	2008-06-03 06:29:01 +0000
+++ doc/developers/releasing.txt	2008-06-03 07:03:55 +0000
@@ -264,15 +264,23 @@
 ----------------------------------
 
 We build Ubuntu ``.deb`` packages for Bazaar as an important part of the release
-process.  These packages are hosted in a `Personal Package Archive (PPA)`__ on
-Launchpad, at <https://launchpad.net/~bzr/+archive>.
+process.  These packages are hosted in a few `Personal Package Archives (PPA)`__ on
+Launchpad.
 
   __ https://help.launchpad.net/PPAQuickStart
 
+As of June 2008, there are actually two PPAs:
+
+<https://launchpad.net/~bzr/+archive>
+    Final released versions.
+
+<https://launchpad.net/~bzr-beta-ppa/+archive>
+    Releases and release candidates.    
+
 We build packages for every supported Ubuntu release
 <https://wiki.ubuntu.com/Releases>.  Packages need no longer be updated
 when the release passes end-of-life because all users should
-updated by then.
+updated by then.  (As of May 2009, Edgy Eft is no longer supported.)
 
 The ``debian/`` directory containing the packaging information is kept in
 branches on Launchpad, named like 
@@ -289,6 +297,13 @@
 * Configure ``dput`` to upload to our PPA with this section in your
   ``~/.dput.cf``::
 
+    [bzr-beta-ppa]
+    fqdn = ppa.launchpad.net
+    method = ftp
+    incoming = ~bzr-beta-ppa/ubuntu
+    login = anonymous
+    allow_unsigned_uploads = 0
+
     [bzr-ppa]
     fqdn = ppa.launchpad.net
     method = ftp
@@ -296,6 +311,16 @@
     login = anonymous
     allow_unsigned_uploads = 0
 
+  You may also want to add these lines to prevent inadvertently attempting
+  to upload into Ubuntu or Debian, which will give a somewhat unclear
+  error::
+
+    [DEFAULT]
+    default_host_main = notspecified
+  
+    [notspecified]
+    fqdn = SPECIFY.A.PPA.NAME 
+
 * You need a Ubuntu (or probably Debian) machine, and ::
 
     sudo apt-get install build-essential devscripts dput quilt patch
@@ -374,22 +399,17 @@
    Check that file is reasonable: it should be uploading to the intended
    distribution, have a .orig file included, and the right version number.
 
-#. Upload into the PPA::
+#. Upload into the appropriate PPA, either ``bzr-ppa`` or
+   ``bzr-beta-ppa``::
 
      dput bzr-ppa ../bzr__1.3-1\~bazaar1\_source.changes
 
-   Don't forget the ``bzr-ppa`` component or dput will try to upload into
-   the main archive by default.  You can disable this by adding this
-   section to your ``.dput.cf``::
-
-     [ubuntu]
-     fqdn = SPECIFY.A.PPA.NAME
-
 #. Copy the uploaded package over to other Ubuntu releases, taking advantage 
    of Launchpad's Copy Package feature <https://launchpad.net/~bzr/+archive/+copy-packages>
 
-   **Caution:** Make sure the dependencies are the same between Ubuntu releases,
-   Dapper has different dependencies, but others might change in time.
+   **Note:** The packaging dependencies may vary between different distro series.
+   As of bzr 1.5, Dapper uses ``python-support`` and later distributions use 
+   ``python-central``.
    If you upload a release-specific version, you should add a ~release1 to
    the package version, for example:: bzr.1.3-1~bazaar1~dapper1
 
@@ -404,4 +424,4 @@
   apt-cache madison bzr
 
 ..
-   vim: ft=rst tw=74 ai
+   vim: filetype=rst textwidth=74 ai shiftwidth=4

